curl --request POST \
--url https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/duplicate"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.komerza.com/stores/{storeId}/products/{productId}/variants/{variantId}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 50000,
"deliveryTypes": [
"<string>"
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"ipAddress": "<string>",
"userId": "<string>"
}
],
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"imageNames": [
"<string>"
],
"stock": 123,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"volumeDiscounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 1073741824,
"discountValue": 50000
}
],
"disableVolumeDiscountOnCoupon": true,
"randomizeKeyDelivery": true,
"description": "<string>",
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"metadata": "<string>",
"customIntervalDays": 123
}
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Duplicate Variant
Creates a copy of an existing variant in the same product.
Requires the stores.products.update permission.
Authorizations
Your API key goes here
Path Parameters
The store’s unique identifier.
The product’s unique identifier.
The source variant’s unique identifier.
Body
The form containing duplication details.
Form for duplicating a variant.
The name of the new variant.
3 - 128Response
The operation was successfully completed.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents a configurable variant associated with a product, containing various properties such as pricing, stock, delivery options, and custom fields.
Show child attributes
Show child attributes